jQuery(document).ready(function($){

    $(document).on('click', '#manufacturing-plant-welcome-notice .notice-dismiss', function(){

        $.ajax({
            type: 'POST',
            url: ajaxurl,
            data: {
                action: 'manufacturing_plant_dismiss_notice'
            }
        });

    });

});